import { Observable } from "rxjs/Observable";
import { NavParams } from "ionic-angular";
/**
 * Generated class for the ChatComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
export declare class ChatComponent {
    private navParams;
    propietario: any;
    color: string;
    socket: any;
    user_id: any;
    title: any;
    contenido: string;
    icon: any;
    messages: any;
    constructor(navParams: NavParams);
    ionViewDidLoad(): void;
    assignParams(): void;
    loadMessages(sala: any): void;
    getSala(): Observable<{}>;
    listenMessages(): Observable<{}>;
    sendMessage(): void;
}
export interface ChatParams {
    color: string;
    propietario: string;
    user_id: string;
    title: string;
    socket_url: string;
    icon: string;
}
